#
# Copyright (c) 2007 Patrick Van Oosterwijck
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#

"""Balloon Escape main module"""

import pygame
pygame.init()
import gameeng

pygame.display.set_caption("Balloon Escape")
clock = pygame.time.Clock()
game = gameeng.GameEngine()
game.CreateWorld(0)

while 1:
    for event in pygame.event.get():
        game.ProcessEvent(event)
    game.RunFrame(clock.tick(30))
